services:
    _defaults:
        public: true #because controller

    Claroline\AnnouncementBundle\Controller\AnnouncementController:
      arguments:
        - '@Claroline\AnnouncementBundle\Manager\AnnouncementManager'
        - '@Claroline\AnnouncementBundle\Serializer\AnnouncementSerializer'
        - '@Claroline\AppBundle\API\Crud'
        - '@Claroline\AppBundle\Persistence\ObjectManager'
        - '@Claroline\AppBundle\API\FinderProvider'
        - '@security.authorization_checker'

    Claroline\AnnouncementBundle\Controller\AnnouncementAggregateController:
      arguments:
        - '@Claroline\AppBundle\API\Crud'
        - '@Claroline\AppBundle\API\SerializerProvider'
        - '@Claroline\CoreBundle\Manager\Template\TemplateManager'
        - '@Claroline\AppBundle\Manager\PdfManager'
        - '@Claroline\CoreBundle\Library\RoutingHelper'
